function [mapI, vmapI, mapO, vmapO] = BuildBCMaps()

% create specific inflow and outflow boundary maps

Globals2D;

dotproducts = a_advec * n_x(mapB) + b_advec * n_y(mapB);
%mapI_ind = find(dotproducts < 0);
mapI_ind = find(dotproducts < -1e-9); % pro jistotu, protoze Matlab vyhodnocuje, ze -0 < 0
mapI = mapB(mapI_ind);
vmapI = vmapM(mapI);
mapO = setdiff(mapB,mapI);
vmapO = vmapM(mapO);

end